## python-defaults 2.3.4-1

=== debian/changelog ===
python-defaults (2.3.4-1) unstable; urgency=low

  * Depend on python2.3-2.3.4 packages.
  * Update FAQ.

 -- Matthias Klose <doko@debian.org>  Sun, 30 May 2004 11:08:33 +0200

python-defaults (2.3.3-7) unstable; urgency=low

  * Fix symlinks to proposed policy files (closes: #234874).

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2004 22:28:07 +0100

python-defaults (2.3.3-6) unstable; urgency=low

  * Build the default packages from a separate source package to ease
    migration between python versions.
  * Update to the proposed python-policy: byte-compile using -E.

 -- Matthias Klose <doko@debian.org>  Wed,  4 Feb 2004 23:16:35 +0100
