## python-defaults 2.3.4-1ubuntu1

=== debian/changelog ===
python-defaults (2.3.4-1ubuntu1) warty; urgency=low

  * Add build dependency on python-docutils (closes: #1035).

 -- Matthias Klose <m@klose.in-berlin.de>  Mon,  6 Sep 2004 07:15:23 +0100
