=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: Gregor Hoffleit <flight@debian.org>
 Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils
 Standards-Version: 3.6.1
 
 Package: python
 Architecture: all
 Priority: standard
-Depends: python2.3 (>= 2.3.4-1)
-Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2
-Replaces: python2.3 (<= 2.3.2-6), python-xmlbase
+Depends: python2.3 (>= 2.3.4-18)
+Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base
+Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
 Provides: python-email, python-xmlbase
-Suggests: python-doc, python-tk
+Suggests: python-doc, python-tk, python-profiler
+Enhances: konsole
 Description: An interactive high-level object-oriented language (default version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -24,7 +24,7 @@
 
 Package: python-tk
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-tk (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-tk (>= 2.3.4-18)
 Description: Tkinter - Writing Tk applications with Python (default version)
  A module for writing portable GUI applications with Python sing Tk.
  Also known as Tkinter.
@@ -34,7 +34,7 @@
 
 Package: python-gdbm
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-gdbm (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-gdbm (>= 2.3.4-18)
 Description: GNU dbm database support for Python (default version)
  GNU dbm database module for Python. Install this if you want to
  create or read GNU dbm database files with Python.
@@ -44,7 +44,7 @@
 
 Package: python-mpz
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-mpz (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-mpz (>= 2.3.4-18)
 Description: Multiple-precision arithmetic support for Python (default version)
  Arbitrary precision arithmetic for Python using the GNU MP
  library, i.e. bignum support.
@@ -54,7 +54,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-examples (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-examples (>= 2.3.4-18)
 Description: Examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -64,7 +64,7 @@
 
 Package: python-dev
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), python2.3-dev (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), python2.3-dev (>= 2.3.4-18)
 Description: Header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -78,7 +78,7 @@
 
 Package: idle
 Architecture: all
-Depends: python (>= 2.3), python (<< 2.4), idle-python2.3 (>= 2.3.4-1)
+Depends: python (>= 2.3), python (<< 2.4), idle-python2.3 (>= 2.3.4-18)
 Description: An IDE for Python using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
  IDLE is written using Tkinter and therefore quite platform-independent.
@@ -89,10 +89,10 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: python2.3-doc (>= 2.3.4-1)
+Depends: python2.3-doc (>= 2.3.4-18)
 Suggests: python
-Conflicts: python-doc-info
-Replaces: python-doc-info
+Conflicts: python-doc-info, python (<< 2.3.5)
+Replaces: python-doc-info, python (<< 2.3.5)
 Description: Documentation for the high-level object-oriented language Python
  This is the official set of documentation for the interactive high-level
  object-oriented language Python (v2.3). All documents are provided
