=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export PRIORITY=$(shell echo $(VER) | tr -d '.')0
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.3.4-1
+PREVVER := 2.3.4-18
 
 PWD		:= $(shell pwd)
 
@@ -22,6 +22,8 @@
 scriptdir	=  usr/share/lib/python$(VER)
 scriptdir	=  usr/share/python$(VER)
 scriptdir	=  usr/lib/python$(VER)
+
+rst2html	= $(PVER) /usr/share/python-docutils/rst2html.py
 
 build: stamp-build
 stamp-build:
@@ -107,9 +109,9 @@
 	cd faq && \
 	for p in *.ht; do \
 	  p=`basename $$p .ht`; \
-	  echo rest2html $$p.ht $$p.html; \
+	  echo $(rst2html) $$p.ht $$p.html; \
 	  awk 'NR > 2' $$p.ht > $$p.ht2; \
-	  rest2html $$p.ht2 $$p.html; \
+	  $(rst2html) $$p.ht2 $$p.html; \
 	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
 	  rm -f $$p.ht2; \
 	done
@@ -128,6 +130,7 @@
 	ln -sf python$(VER) debian/python/usr/bin/python
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
+	ln -sf pdb$(VER) debian/python/usr/bin/pdb
 
 	mkdir -p debian/python/usr/share/man/man1
 	ln -sf python$(VER).1.gz \
@@ -136,6 +139,8 @@
 		debian/python/usr/share/man/man1/pydoc.1.gz
 	ln -sf pygettext$(VER).1.gz \
 		debian/python/usr/share/man/man1/pygettext.1.gz
+	ln -sf pdb$(VER).1.gz \
+		debian/python/usr/share/man/man1/pdb.1.gz
 
 	mkdir -p debian/python/usr/share/doc/python
 	cp -a debian/python-policy.{html,sgml,txt} \
@@ -154,6 +159,10 @@
 
 	mkdir -p debian/python/usr/share/apps/konsole
 	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/
+
+	mkdir -p debian/python/usr/lib/valgrind
+	cp -p debian/valgrind-python.supp \
+		debian/python/usr/lib/valgrind/python.supp
 
 	: # provide the idle and idle.1 defaults
 	mkdir -p debian/idle/usr/bin
