## python-defaults 2.4.1-0ubuntu2

=== debian/changelog ===
python-defaults (2.4.1-0ubuntu2) hoary; urgency=low

  * Fix python-dbg dependency.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2005 08:39:44 +0200

python-defaults (2.4.1-0ubuntu1) hoary; urgency=low

  * Tighten dependencies to 2.4.1.
  * Update the FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2005 01:26:33 +0200

python-defaults (2.4-0ubuntu7) hoary; urgency=low

  * Add valgrind support file /usr/lib/valgrind/python.supp.
  * python-doc: Add an conflict/replace to older python packages (conflicting
    html link).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Mar 2005 22:55:17 +0100

python-defaults (2.4-0ubuntu6) hoary; urgency=low

  * python suggests python-profiler.
  * Add python-dbg package.
  * Update the FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2005 11:46:42 +0100

python-defaults (2.4-0ubuntu5) hoary; urgency=low

  * Mark the python-minimal package as "essential".

 -- Matthias Klose <doko@ubuntu.com>  Wed,  9 Feb 2005 15:25:39 +0100

python-defaults (2.4-0ubuntu4) hoary; urgency=low

  * Add missing Depends; python-minimal to python package.

 -- LaMont Jones <lamont@canonical.com>  Tue, 21 Dec 2004 08:12:42 -0700

python-defaults (2.4-0ubuntu3) hoary; urgency=low

  * Add python-minimal package.

 -- Matthias Klose <m@klose.in-berlin.de>  Mon, 20 Dec 2004 22:29:30 +0100

python-defaults (2.4-0ubuntu2) hoary; urgency=low

  * Add build dependency on python2.4.

 -- Matthias Klose <m@klose.in-berlin.de>  Thu, 16 Dec 2004 11:02:54 +0100

python-defaults (2.4-0ubuntu1) hoary; urgency=low

  * Make python2.4 the default python version.

 -- Matthias Klose <m@klose.in-berlin.de>  Wed, 15 Dec 2004 15:48:36 +0100
