=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils, python, python2.4
Standards-Version: 3.6.1

Package: python
Architecture: all
Priority: standard
Depends: python2.4 (>= 2.4.1), python-minimal
Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base
Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
Provides: python-email, python-xmlbase
Suggests: python-doc, python-tk, python-profiler
Description: An interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-minimal
Architecture: all
Essential: yes
Priority: required
Depends: python2.4-minimal (>= 2.4.1)
Conflicts: python (<= 2.4-0ubuntu2)
Replaces: python (<= 2.4-0ubuntu2)
Description: A minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-tk
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-tk (>= 2.4.1)
Description: Tkinter - Writing Tk applications with Python (default version)
 A module for writing portable GUI applications with Python sing Tk.
 Also known as Tkinter.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-gdbm
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-gdbm (>= 2.4.1)
Description: GNU dbm database support for Python (default version)
 GNU dbm database module for Python. Install this if you want to
 create or read GNU dbm database files with Python.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-examples
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-examples (>= 2.4.1)
Description: Examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-dev
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), python2.4-dev (>= 2.4.1)
Description: Header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 Includes the python distutils, which were in a separate package up to
 version 1.5.2.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: idle
Architecture: all
Depends: python (>= 2.4), python (<< 2.5), idle-python2.4 (>= 2.4.1)
Description: An IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-doc
Section: doc
Architecture: all
Depends: python2.4-doc (>= 2.4.1)
Suggests: python
Conflicts: python-doc-info, python (<< 2.3.5)
Replaces: python-doc-info, python (<< 2.3.5)
Description: Documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.4). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.4).

Package: python-dbg
Architecture: all
Priority: extra
Depends: python (>= 2.4), python2.4-dbg (>= 2.4.1)
Description: Debug Build of the Python Interpreter (version 2.4)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.4/lib-dynload/debug first.
