=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,13 @@
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-export VER=2.3
-export NVER=2.4
-export PVER=python2.3
+export VER=2.4
+export NVER=2.5
+export PVER=python2.4
 export PRIORITY=$(shell echo $(VER) | tr -d '.')0
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.3.4-18
+PREVVER := 2.4.1
 
 PWD		:= $(shell pwd)
 
@@ -68,7 +68,7 @@
 	) >> faq/FAQ.ht
 	rm -f faq/index.ht
 
-clean:
+clean: control-file
 	dh_testdir
 	dh_testroot
 	rm -f stamp-*
@@ -126,15 +126,18 @@
 	dh_testroot -i
 
 	: # provide the python and python.1 defaults
+	mkdir -p debian/python-minimal/usr/bin
+	ln -sf python$(VER) debian/python-minimal/usr/bin/python
+	mkdir -p debian/python-minimal/usr/share/man/man1
+	ln -sf python$(VER).1.gz \
+		debian/python-minimal/usr/share/man/man1/python.1.gz
+
 	mkdir -p debian/python/usr/bin
-	ln -sf python$(VER) debian/python/usr/bin/python
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
 	ln -sf pdb$(VER) debian/python/usr/bin/pdb
 
 	mkdir -p debian/python/usr/share/man/man1
-	ln -sf python$(VER).1.gz \
-		debian/python/usr/share/man/man1/python.1.gz
 	ln -sf pydoc$(VER).1.gz \
 		debian/python/usr/share/man/man1/pydoc.1.gz
 	ln -sf pygettext$(VER).1.gz \
@@ -160,6 +163,13 @@
 	mkdir -p debian/python/usr/share/apps/konsole
 	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/
 
+	: # provide the python-dbg and python-dbg.1 defaults
+	mkdir -p debian/python-dbg/usr/bin
+	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
+	mkdir -p debian/python-dbg/usr/share/man/man1
+	ln -sf python$(VER)-dbg.1.gz \
+		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
+
 	mkdir -p debian/python/usr/lib/valgrind
 	cp -p debian/valgrind-python.supp \
 		debian/python/usr/lib/valgrind/python.supp
@@ -179,6 +189,8 @@
 	dh_installdocs -i --all debian/README.Debian
 	dh_installmenu -i
 	dh_installchangelogs -i
+	rm -rf debian/python-minimal/usr/share/doc/python-minimal
+	ln -sf python$(VER)-minimal debian/python-minimal/usr/share/doc/python-minimal
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
