## python-defaults 2.4.2-0ubuntu2

=== debian/changelog ===
python-defaults (2.4.2-0ubuntu2) breezy; urgency=low

  * Revert changes from 2.4.1-0ubuntu3, not for breezy

 -- Matt Zimmerman <mdz@ubuntu.com>  Fri,  7 Oct 2005 09:14:56 -0700

python-defaults (2.4.2-0ubuntu1) breezy; urgency=low

  * Depend on python2.4 2.4.2.
  * Update FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  7 Oct 2005 04:24:11 +0200

python-defaults (2.4.1-0ubuntu3) breezy; urgency=low

  * Add two dependency packages python-all and python-all-dev. These
    packages are used as build dependencies to determine the set of
    python version and implementations, which should be supported.
    Currently it depends on python2.3 and python2.4.  Future versions
    may add an updated version of jython and ironpython.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jun 2005 15:25:53 +0200
