=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: python
 Architecture: all
 Priority: standard
-Depends: python2.4 (>= 2.4.1), python-minimal
+Depends: python2.4 (>= 2.4.2), python-minimal
 Conflicts: python2.3 (<= 2.3.2-6), python2.1 (<= 2.1.2), python-xmlbase, python-csv, python-bz2, python-base
 Replaces: python2.3 (<= 2.3.2-6), python-xmlbase, python-base
 Provides: python-email, python-xmlbase
@@ -25,7 +25,7 @@
 Architecture: all
 Essential: yes
 Priority: required
-Depends: python2.4-minimal (>= 2.4.1)
+Depends: python2.4-minimal (>= 2.4.2)
 Conflicts: python (<= 2.4-0ubuntu2)
 Replaces: python (<= 2.4-0ubuntu2)
 Description: A minimal subset of the Python language (default version)
@@ -36,7 +36,7 @@
 
 Package: python-tk
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), python2.4-tk (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-tk (>= 2.4.2)
 Description: Tkinter - Writing Tk applications with Python (default version)
  A module for writing portable GUI applications with Python sing Tk.
  Also known as Tkinter.
@@ -46,7 +46,7 @@
 
 Package: python-gdbm
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), python2.4-gdbm (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-gdbm (>= 2.4.2)
 Description: GNU dbm database support for Python (default version)
  GNU dbm database module for Python. Install this if you want to
  create or read GNU dbm database files with Python.
@@ -56,7 +56,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), python2.4-examples (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-examples (>= 2.4.2)
 Description: Examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -66,7 +66,7 @@
 
 Package: python-dev
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), python2.4-dev (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), python2.4-dev (>= 2.4.2)
 Description: Header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -80,7 +80,7 @@
 
 Package: idle
 Architecture: all
-Depends: python (>= 2.4), python (<< 2.5), idle-python2.4 (>= 2.4.1)
+Depends: python (>= 2.4), python (<< 2.5), idle-python2.4 (>= 2.4.2)
 Description: An IDE for Python using Tkinter (default version)
  IDLE is an Integrated Development Environment for Python.
  IDLE is written using Tkinter and therefore quite platform-independent.
@@ -91,7 +91,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: python2.4-doc (>= 2.4.1)
+Depends: python2.4-doc (>= 2.4.2)
 Suggests: python
 Conflicts: python-doc-info, python (<< 2.3.5)
 Replaces: python-doc-info, python (<< 2.3.5)
@@ -116,7 +116,7 @@
 Package: python-dbg
 Architecture: all
 Priority: extra
-Depends: python (>= 2.4), python2.4-dbg (>= 2.4.1)
+Depends: python (>= 2.4), python2.4-dbg (>= 2.4.2)
 Description: Debug Build of the Python Interpreter (version 2.4)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.4/lib-dynload/debug first.
