=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export PRIORITY=$(shell echo $(VER) | tr -d '.')0
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.4.1
+PREVVER := 2.4.2
 
 PWD		:= $(shell pwd)
