## python-defaults 2.4.2-0ubuntu3

=== debian/changelog ===
python-defaults (2.4.2-0ubuntu3) dapper; urgency=low

  * Add two dependency packages python-all and python-all-dev. These
    packages are used as build dependencies to determine the set of
    python version and implementations, which should be supported.
    Currently it depends on python2.3 and python2.4.  Future versions
    may add an updated version of jython and ironpython.
  * Update FAQ.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jan 2006 11:10:18 +0100
