=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends-Indep: debhelper (>= 4), libhtml-tree-perl, debiandoc-sgml, python-docutils, python, python2.4
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: python
 Architecture: all
@@ -120,3 +120,27 @@
 Description: Debug Build of the Python Interpreter (version 2.4)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
  searched in /usr/lib/python2.4/lib-dynload/debug first.
+
+Package: python-all
+Architecture: all
+Priority: optional
+Depends: python2.4
+Description: Package depending on all supported Python runtime versions
+ The package currently depends on python2.3 and python2.4, in the future,
+ dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
+ may be added.
+ .
+ This package is used as a build dependency for other packages to
+ avoid hardcoded dependencies on specific Python runtimes.
+
+Package: python-all-dev
+Architecture: all
+Priority: optional
+Depends: python-all (>= 2.4), python2.4-dev
+Description: Package depending on all supported Python development packages
+ The package currently depends on python2.4-dev, in the
+ future, dependencies on jython (Python for a JVM) and ironpython (Python
+ for Mono) may be added.
+ .
+ This package is used as a build dependency for other packages to
+ avoid hardcoded dependencies on specific Python development packages.
