=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,7 @@
 	rm -f faq/*.h2 faq/*.html
 
 	for f in debian/*.in; do \
-	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/@VER@/$(VER)/g;s,\.in$$,,"`; \
+	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
 	    if [ $$f2 != debian/control ]; then \
 	        rm -f $$f2; \
 	    fi; \
@@ -90,7 +90,7 @@
 	: # We have to prepare the various control files
 
 	for f in debian/*.in; do \
-	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/@VER@/$(VER)/g;s,\.in$$,,"`; \
+	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
 	    if [ $$f2 != debian/control ]; then \
 		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
 		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
@@ -132,6 +132,9 @@
 	ln -sf python$(VER).1.gz \
 		debian/python-minimal/usr/share/man/man1/python.1.gz
 
+#	mkdir debian/python-minimal/usr/share/python-central
+#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/
+
 	mkdir -p debian/python/usr/bin
 	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
 	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
@@ -191,6 +194,8 @@
 	dh_installchangelogs -i
 	rm -rf debian/python-minimal/usr/share/doc/python-minimal
 	ln -sf python$(VER)-minimal debian/python-minimal/usr/share/doc/python-minimal
+	rm -rf debian/python-all-dev/usr/share/doc/python-all-dev
+	ln -sf python$(VER)-all debian/python-all-dev/usr/share/doc/python-all-dev
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
